# Interface AtomIndexIterator

All Known Implementing Classes:
  `AtomIteratorWithinModel, AtomIteratorWithinModelSet, UnitCellIterator`

public interface AtomIndexIterator
note: YOU MUST RELEASE THE ITERATOR

## Method Summary

Modifier and Type
Method
Description
`void`
`addAtoms(BS bsResult)`
`float`
`foundDistance2()`
`P3`
`getPosition()`
`boolean`
`hasNext()`
`int`
`next()`
`void`
`release()`
`void`
`setCenter(T3 center, float distance)`
`void`
`setModel(ModelSet modelSet, int modelIndex, int zeroBase, int atomIndex, T3 center, float distance, RadiusData rd)`

## Method Details

### setModel

void setModel(ModelSet modelSet, int modelIndex, int zeroBase, int atomIndex, T3 center, float distance, RadiusData rd)

Parameters:
  `modelSet` -
  `modelIndex` -
  `zeroBase` - an offset used in the AtomIteratorWithinSet only
  `atomIndex` -
  `center` -
  `distance` -
  `rd` -

### setCenter

void setCenter(T3 center, float distance)

### addAtoms

void addAtoms(BS bsResult)

### hasNext

boolean hasNext()

### next

int next()

### foundDistance2

float foundDistance2()

### getPosition

P3 getPosition()

### release

void release()